Bug 113876 - Interface does not provide a 3D Hardware Acceleration Enabled checkbox
Interface does not provide a 3D Hardware Acceleration Enabled checkbox
Product: Fedora
Classification: Fedora
Component: redhat-config-xfree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2004-01-19 14:36 EST by Paolo Prandini
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-19 14:53:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paolo Prandini 2004-01-19 14:36:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
A check box helping to enable 3D Hardware Acceleration (DRI) should
appeare somewhere in the interface, but it's not there.
The obvious walkaround is to edit XF86Config by hand, but RH9 had this
feature so it's good to have it in Fedora Core 1 as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. launch redhat-config-xfree86
2. no check box for 3D Hardware Acceleration is there 


Actual Results:  I cannot add 3D HW Acceleration from the GUI.

Expected Results:  A way should be provided to add 3D Hardware
Acceleration from the GUI

Additional info:

Comment 1 Brent Fox 2004-01-19 14:53:10 EST
We removed the checkbox because people would enable it for cards that
3D doesn't work on and it would hard-lock their systems.  The right
thing to do is for the tool to automatically enable it for the cards
that 3D is known to work for and automatically disable it for the
cards that are known to not work in 3D.  

We have a list of cards for which 3D should not be used.  We need to
keep this list current so that if drivers get fixed in the future,
then 3D will be enabled on those cards.

Comment 2 Paolo Prandini 2004-01-21 02:04:42 EST
Thank you.
Got the point.


- Paolo

PS : Go on with fantastic Fedora development !

Note You need to log in before you can comment on or make changes to this bug.